NIFD(8)

NAME
nifd - network interface monitor daemon

SYNOPSIS
nifd [options]

DESCRIPTION
The nifd daemon monitors the network interfaces on a host and signals autoipd (8) and mDNSResponder (8) when an IP address or a link status changes. Only one instance of nifd needs to run on a host. Once started, nifd runs continuously. nifd is typically launched as follows:

OPTIONS

-h  Display brief help message

-v  Display version information

-d  Run in debug mode

-n  On relink, do not run ifdown/ifup

-i  Set poll interval to seconds

SEE ALSO
autoip(8), mDNSResponder(8)